%define realname android-file-transfer-linux
%define srcext   tar.bz2

%define so_ver   3

# turn off the generation of debuginfo rpm  (RH9) ??
%global debug_package %{nil}

# Common info
Name:          android-file-transfer
Version:       3.9
Release:       1%{?dist}
License:       GPL-3.0
Group:         Hardware/Mobile
URL:           http://whoozle.github.io/android-file-transfer-linux/
Summary:       Reliable MTP client with minimalistic UI

# Build-time parameters
BuildRequires: cmake >= 2.8 gcc-c++ pkgconfig
BuildRequires: readline-devel
BuildRequires: pkgconfig(fuse)
BuildRequires: file-devel
BuildRequires: pkgconfig(Qt5Widgets)
BuildRoot:     %{_tmppath}/%{name}-root
Source:        %{realname}-%{version}%{?extraver}.%{srcext}

%description
Android File Transfer for Linux — reliable MTP client with minimalistic UI
similar to Android File Transfer for Mac.

# Preparation step (unpackung and patching if necessary)
%prep
%setup -q -n %{realname}-%{version}%{?extraver}

%build
_CFLAGS='%{optflags} %{?gcc_lto}'
_CXXFLAGS='%{optflags} %{?gcc_lto} %{?cxx11abi}'
_LDFLAGS='-Wl,--as-needed -Wl,--strip-all %{?gcc_lto}'
%{__mkdir} build
cd build
cmake .. \
 -DCMAKE_INSTALL_PREFIX=%{_prefix} \
 -DCMAKE_BUILD_TYPE=Release \
 -DCMAKE_CXX_FLAGS_RELEASE="$_CFLAGS" \
 -DCMAKE_C_FLAGS_RELEASE="$_CXXFLAGS" \
 -DCMAKE_EXE_LINKER_FLAGS_RELEASE="$_LDFLAGS" \
 -DCMAKE_MODULE_LINKER_FLAGS_RELEASE="$_LDFLAGS" \
 -DCMAKE_SHARED_LINKER_FLAGS_RELEASE="$_LDFLAGS" \
 -DCMAKE_VERBOSE_MAKEFILE=YES \
 \
%if 0%{__isa_bits} == 64
 -DLIB_SUFFIX=64 \
%endif
 -DBUILD_SHARED_LIB=YES
%{__make} %{?_smp_mflags}

%install
%{__make} -C build install DESTDIR=%{buildroot}

%clean

%files
%defattr(-,root,root)
%doc FAQ.md LICENSE README.md
%{_bindir}/*
%{_libdir}/libmtp-ng.so.%{so_ver}*
%exclude %{_libdir}/libmtp-ng.so
%{_datadir}/applications/android-file-transfer.desktop
%dir %{_datadir}/icons/hicolor/512x512/apps
%dir %{_datadir}/icons/hicolor/512x512
%dir %{_datadir}/icons/hicolor
%{_datadir}/icons/hicolor/512x512/apps/android-file-transfer.png
%dir %{_datadir}/metainfo
%{_datadir}/metainfo/android-file-transfer.appdata.xml

%ldconfig_scriptlets

%changelog
* Sun Nov 03 2019 Jean-Marc Liger <jean-marc.liger@parisdescartes.fr> - 3.9
- Rebuild for COPR EL7 and EL8

* Fri Aug 16 2019 Alexander Evseev <aevseev@gmail.com>
- New upstream version - 3.9

* Fri Apr 19 2019 Alexander Evseev <aevseev@gmail.com>
- New upstream version - 3.7

* Mon Jan  8 2018 aevseev@gmail.com
- New upstream version - 3.2

* Thu Aug 11 2016 aevseev@gmail.com
- New upstream version - 3.0

* Tue Jul 19 2016 aevseev@gmail.com
- Updated from git

* Tue Oct 20 2015 aevseev@gmail.com
- First build. Version - 2.4
